Rotate seeds
Rotates seed pairs: active becomes retired (server seed revealed in response), upcoming becomes active with the provided client seed, and a new upcoming pair is created. Cannot rotate while a round is in progress.
Body·
required
application/json
- Type: stringclient
Seed requiredPlayer-chosen client seed for the next active pair
Responses
- application/json
- application/json
Request Example for post/seed/rotate
curl https://rgs.jackpot.studio/seed/rotate \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"clientSeed": ""
}'
{
"$schema": "https://example.com/schemas/SeedRotateOutputBody.json",
"active": {
"clientSeed": "string",
"nonce": 0,
"serverHash": "string"
},
"previousServerSeed": "string",
"upcomingServerHash": "string"
}